org.apache.ignite.internal.processors.cache

## Interface GridCacheAtomicFuture<K,R>

All Superinterfaces:
  GridCacheFuture<R>, IgniteInternalFuture<R>

All Known Implementing Classes:
  GridDhtAtomicUpdateFuture, GridNearAtomicUpdateFuture

    public interface GridCacheAtomicFuture<K,R>
    extends GridCacheFuture<R>

Update future for atomic cache.

### Method Summary

Methods
`void` `checkTimeout(long timeout)` Checks if timeout occurred.
`Collection<? extends K>` `keys()`
`long` `topologyVersion()`
`boolean` `waitForPartitionExchange()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`futureId, markNotTrackable, nodes, onNodeLeft, trackable, version`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, concurrentNotify, concurrentNotify, duration, get, get, get, isCancelled, isDone, listenAsync, startTime, stopListenAsync, syncNotify, syncNotify`

### Method Detail

#### waitForPartitionExchange

    boolean waitForPartitionExchange()

Returns:
  `True` if partition exchange should wait for this future to complete.

#### topologyVersion

    long topologyVersion()

Returns:
  Future topology version.

#### keys

    Collection<? extends K> keys()

Returns:
  Future keys.

#### checkTimeout

    void checkTimeout(long timeout)

Checks if timeout occurred.

Parameters:
  `timeout` - Timeout to check.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015